/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/
/*
 * Description (userInfo.c)
 *
 *	This module contains routines used by administration CGI
 *	programs to return the user info sent down through PIPE
 *
 */
#include <stdio.h>
#include <string.h>
#include "libadminutil/admutil.h"
#include "libadminutil/distadm.h"

int main(int argc, char *argv[])
{
  int            _ai = ADMUTIL_Init();
  AdmldapInfo    ldapInfo;
  char           admconf[256];
  char           *method;
  int            rv, rv1, rv2;
  int            err;
  int            *errp = &err;
  char           *username = 0;
  char           *userpasswd = 0;
  char           *binddn = 0;
  char           *bindpw = 0;
  char           *basedn;
  char           *nsroot = getenv("NETSITE_ROOT");

  memset((void *)errp, 0, sizeof(int));
  method = getenv("REQUEST_METHOD");

  fprintf(stdout, "Content-type: text/html\n\n");

  /* Get UserDN and User Password  */

  rv = ADM_GetUserDNString(&err, &binddn);
  rv1 = ADM_GetCurrentUsername(&err, &username);
  rv2 = ADM_GetCurrentPassword(&err, &userpasswd);
  if (rv < 0 || !binddn || !*binddn)
    fprintf(stdout, "*** dn = NULL ***\n");
  else fprintf(stdout, "*** dn = %s ***\n", binddn);
  if (rv1 < 0 || !username || !*username)
    fprintf(stdout, "*** username = NULL ***\n");
  else fprintf(stdout, "*** username = %s ***\n", username);
  if (rv2 < 0 || !userpasswd || !*userpasswd)
    fprintf(stdout, "*** userpasswd = NULL ***\n");
  else fprintf(stdout, "*** userpasswd = %s ***\n", userpasswd);

  exit(0);
}
