/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/
/*********************************************************************
**
** NAME:
**   acidef.h
**
** DESCRIPTION:
**   ACIs for fixing access cotrol under o=netscapeRoot
**
** NOTES:
**
** HISTORY:
**
*********************************************************************/

/*
 * This ACI allows all authenticated users to read host, port, address, and
 * securtity attribute for admin servers. This is required to create http urls
 * for jar downloads.
 */
#define LOCATE_ADMSERV_ACI "\
(targetattr=\"nsServerPort||nsServerAddress||nsServerSecurity||serverHostName\")\
(targetfilter=(|(objectclass=nsAdminServer)(objectclass=nsAdminConfig)))\
(version 3.0; acl \"Locate Admin Server\";\
allow (read, search, compare) userdn=\"ldap:///all\";)"

/*
 * The correct definition for "Enable Group Expansion". For DS version prior
 * to 4.12, the ACI is defined with groupdnattr="ldap:///o=NetscapeRoot?uniquemember?sub" 
 * which instructs that all groups must be under o=netcapeRoot
 *
 */
#define GROUP_EXPANSION_ACI "\
(targetattr=\"*\")\
(version 3.0; acl \"Enable Group Expansion\"; allow (read, search, compare) \
groupdnattr=\"uniquemember\";)"
